List all civic addresses and locations
Returns the civic addresses and locations from Microsoft Teams.
GET
/
external_connections
/
{id}
/
civic_addresses
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const civicAddresses = await client.externalConnections.civicAddresses.list('1293384261075731499');
console.log(civicAddresses.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
civic_addresses = client.external_connections.civic_addresses.list(
id="1293384261075731499",
)
print(civic_addresses.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
civicAddresses, err := client.ExternalConnections.CivicAddresses.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionCivicAddressListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", civicAddresses.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.civicaddresses.CivicAddressListParams;
import com.telnyx.sdk.models.externalconnections.civicaddresses.CivicAddressListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CivicAddressListResponse civicAddresses = client.externalConnections().civicAddresses().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
civic_addresses = telnyx.external_connections.civic_addresses.list("1293384261075731499")
puts(civic_addresses)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$civicAddresses = $client->externalConnections->civicAddresses->list(
'1293384261075731499', filter: ['country' => ['US', 'CA', 'MX', 'BR']]
);
var_dump($civicAddresses);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:civic-addresses list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/civic_addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "07a4dc5d-9b3b-4ba2-88a4-6ba172316c65",
"record_type": "civic_address",
"city_or_town": "Austin",
"city_or_town_alias": "",
"company_name": "Telnyx",
"country": "US",
"country_or_district": "US",
"default_location_id": "18ded4bb-b694-44c1-a89b-a35b7acd4c9e",
"description": "Austin Office",
"house_number": "600",
"house_number_suffix": "",
"locations": [
{
"id": "18ded4bb-b694-44c1-a89b-a35b7acd4c9e",
"additional_info": "",
"description": "Austin Office",
"is_default": true
},
{
"id": "d420a57f-c4ae-4697-87e1-fbefd9e86f72",
"additional_info": "14th Floor",
"description": "",
"is_default": false
}
],
"postal_or_zip_code": "78701",
"state_or_province": "TX",
"street_name": "Congress Street",
"street_suffix": ""
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Query Parameters
Filter parameter for civic addresses (deepObject style). Supports filtering by country.
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const civicAddresses = await client.externalConnections.civicAddresses.list('1293384261075731499');
console.log(civicAddresses.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
civic_addresses = client.external_connections.civic_addresses.list(
id="1293384261075731499",
)
print(civic_addresses.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
civicAddresses, err := client.ExternalConnections.CivicAddresses.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionCivicAddressListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", civicAddresses.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.civicaddresses.CivicAddressListParams;
import com.telnyx.sdk.models.externalconnections.civicaddresses.CivicAddressListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CivicAddressListResponse civicAddresses = client.externalConnections().civicAddresses().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
civic_addresses = telnyx.external_connections.civic_addresses.list("1293384261075731499")
puts(civic_addresses)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$civicAddresses = $client->externalConnections->civicAddresses->list(
'1293384261075731499', filter: ['country' => ['US', 'CA', 'MX', 'BR']]
);
var_dump($civicAddresses);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:civic-addresses list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/civic_addresses \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "07a4dc5d-9b3b-4ba2-88a4-6ba172316c65",
"record_type": "civic_address",
"city_or_town": "Austin",
"city_or_town_alias": "",
"company_name": "Telnyx",
"country": "US",
"country_or_district": "US",
"default_location_id": "18ded4bb-b694-44c1-a89b-a35b7acd4c9e",
"description": "Austin Office",
"house_number": "600",
"house_number_suffix": "",
"locations": [
{
"id": "18ded4bb-b694-44c1-a89b-a35b7acd4c9e",
"additional_info": "",
"description": "Austin Office",
"is_default": true
},
{
"id": "d420a57f-c4ae-4697-87e1-fbefd9e86f72",
"additional_info": "14th Floor",
"description": "",
"is_default": false
}
],
"postal_or_zip_code": "78701",
"state_or_province": "TX",
"street_name": "Congress Street",
"street_suffix": ""
}
]
}